| darcs | Source code | Contents | Index
Darcs.Repository.Repair
Documentation
replayRepository :: RepoPatch p => Repository p -> [DarcsFlag] -> (RepositoryConsistency p -> IO a) -> IO a | Source
checkIndex :: RepoPatch p => Repository p -> Bool -> IO Bool | Source
data RepositoryConsistency p | Source
Constructors
RepositoryConsistent |
BrokenPristine (Tree IO) |
BrokenPatches (Tree IO) (PatchSet p) |
Produced by Haddock version 2.4.2